Bug Hunting Session
Bug 72881 - LO CMIS fileopen does not lock or open in readonly mode
Summary: LO CMIS fileopen does not lock or open in readonly mode
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
4.2.0.1 rc
Hardware: All Windows (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: needsCMIS
Keywords:
Depends on:
Blocks: CMIS
  Show dependency treegraph
 
Reported: 2013-12-19 16:12 UTC by Christopher POTTER
Modified: 2019-02-19 21:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher POTTER 2013-12-19 16:12:14 UTC
When opening a document in CMIS, LO does not lock the file on the CMIS server or open the file in read-only mode. 

This is very dangerous because another user can open simultaneously the same file and overwrite the ongoing changes.

Therefore 2 options to resolve this when a document is opened in CMIS:

- the file is in read-only mode unless the user 'Extract' the document (BTW 'Extracts' should be replaced by a more user friendly term, ie 'Lock for Editing')

OR

- set a CMIS lock on the server
Comment 1 Joel Madero 2014-03-08 23:52:28 UTC
Not a critical bug - critical bugs are saved for bugs that create data loss, crashes, etc . . . while there is a potential for multiple users to be working on same file which could result in bad things it's not a critical bug in of itself.

Also is this a new problem or was it in older versions of LibreOffice as well?
Comment 2 Christopher POTTER 2014-03-11 06:55:44 UTC
Nb: This bug could lead to data loss because a user can overwrite another user work

This bug was present in previous versions
Comment 3 lnunes 2015-03-02 13:25:03 UTC
Hi.

I chose openKm for document management and I am using libreoffice 4.4.0.3 to access openKM server using CMIS. Files can correctly be opened and saved, but no lock is done on server side so that users can modify simultaneously files...
I agree with Christopher Potter, this is quite an important bug of CMIS feature.
Comment 4 Joel Madero 2015-03-02 16:06:39 UTC
Is this a regression? Can someone test older versions and narrow down if it ever worked? That will at least help us narrow it down.

If a version worked - please set the version field to the oldest version that it's confirmed as broken, add "regression" to keywords, and leave a comment letting us know the latest working version and latest broken version. Thanks
Comment 5 lnunes 2015-03-05 12:38:56 UTC
Hi.

I cannot tell you if this is a regression since I only used it recently. I had the problem on version 4.3.6. I updated with latest version 4.4.0 (windows), but this did not solve the problem. 
My collegue has libreoffice version 4.2.7.2 for ubuntu Linux and he has also the same issue.
Hope it will help

Regards
Comment 6 lnunes 2015-04-14 08:31:29 UTC
Hi Joel.

Any news?
Although I am not a developper,  is there maybe something that I can do to help?
Thanks.

Regards
Comment 7 Joel Madero 2015-04-15 14:09:25 UTC
You can check to see if it's a regression (and figure out what exact release caused it). Will be time consuming but greatly appreciated.

http://downloadarchive.documentfoundation.org/libreoffice/old/

So my suggestion is test the very oldest release first (3.3) and see if you can reproduce. If you can't, then that means it's a regression. Then I'd take the middle point (let's say 4.0) and test that....keep narrowing it down until you figure out what exact point release caused the issue.
Comment 8 lnunes 2015-04-16 14:06:03 UTC
Hi Joel.

I downloaded version 3.3 but CMIS was not available.
I checked release notes and CMIS was introdcued in 4.0 release.
I downloaded it (4.0.0.0.beta2 from http://downloadarchive.documentfoundation.org/libreoffice/old/4.0.0.0.beta2/win/) and CMIS is available.
Still, lock is not put on CMIS server file when opened with libreoffice 4.0.0.0 beta2.

So this is not a regression but an important feature missing since the beginning.

Regards
Comment 9 lnunes 2015-04-27 13:51:10 UTC
Hi Joel.

Any update from your side on this defect?
Thanks a lot.

Best regards.
Comment 10 Joel Madero 2015-04-27 14:32:48 UTC
No and to be honest it could be awhile before it's fixed. It's 100% dependent on a volunteer choosing to fix it (no one in the project can dictate that the bug be fixed). So - really the options from your side are:

1) Fix it yourself;
2) Find someone to fix it;
3) Pay for a fix (likely quite expensive);
4) Wait - and like I said, it could be awhile
Comment 11 Giuseppe Castagno (aka beppec56) 2016-08-28 14:19:16 UTC
Just a couple of remarks:

1) for CMIS now there is a 'Checkout' command to lock file to edit

2) for WebDAV file lock should be working from LO 5.1.

So if someone can try this bug, probably it can be closed.
Comment 12 QA Administrators 2017-09-01 11:17:06 UTC Comment hidden (obsolete)
Comment 13 Christopher POTTER 2019-02-19 21:35:29 UTC
Still occurs in 6.2.0.3

Another option to put a lock while editing without a checkout would be to open in read-only mode